Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.sasn1
Class BerSequenceGenerator

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Generator
          org.bouncycastle.sasn1.BerGenerator
              org.bouncycastle.sasn1.BerSequenceGenerator

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public class BerSequenceGenerator

extends BerGenerator

Field Summary

Fields inherited from class org.bouncycastle.sasn1.Asn1Generator
`_out`

Constructor Summary
`BerSequenceGenerator(java.io.OutputStream out)` Deprecated.
`BerSequenceGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)` Deprecated.

Method Summary
`void` `addObject(DerObject object)` Deprecated.
`void` `close()` Deprecated.

Methods inherited from class org.bouncycastle.sasn1.BerGenerator
`getRawOutputStream, writeBerBody, writeBerEnd, writeBerHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BerSequenceGenerator

    public BerSequenceGenerator(java.io.OutputStream out)
                         throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### BerSequenceGenerator

    public BerSequenceGenerator(java.io.OutputStream out,
                                int tagNo,
                                boolean isExplicit)
                         throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Method Detail

### addObject

    public void addObject(DerObject object)
                   throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45